# 简介

漫道云区块链服务平台依托漫道金融云基础设施，为企业及开发者提供一站式、高安全、简单易用的区块链服务。BaaS 区块链服务平台集成开发、管理和运维等功能，支持客户在云上快速部署联盟链和私有链网络环境。基于 BaaS 区块链服务平台，客户可以降低对区块链底层技术的获取成本，专注在区块链业务模式创新及业务应用的开发和运营之中。

BaaS 区块链服务平台不仅符合金融级别的安全合规性要求，同时还具备了漫道云完备的能力，用户在弹性、开放的云平台上能够快速构建自己的 IT 基础设施和区块链服务。BaaS 区块链服务平台集合众多区块链底层技术，目前已支持 `FISCO-BCOS` 与 `Hyperledger Fabric` 区块链底层平台，后续将支持`Corda`、`EEA`等不同区块链底层技术。

## 服务能力

漫道云区块链服务 BaaS，是一个企业级的区块链开放平台，可一键式快速部署接入、拥有去中心化信任机制、支持私有链与联盟链两种模式，拥有私有化部署与网络运维管理能力。 我们看好区块链在金融、保险、零售、公益慈善等行业的应用潜力与前景。目前，我们在供应链金融、资金结算 、电子票据、公益慈善等领域都已经有成功的解决方案落地。

![](/uploads/blockchain/images/m_e16363f11ea8d8326510868ee4d39273_r.png#align=center)
# 产品特色

### 云上服务

BaaS 云上服务为用户所提供的区块链服务，遵循一个联盟一个系统的原则，不同的用户或者联盟链，不仅在逻辑上是严格隔离的，在机器硬件、网络、存储等物理资源上同样也是互相独立的系统，完全符合金融安全监管需求。BaaS 云服务遵循标准的区块链底层协议搭建，可以兼容网络协议一致的友商云平台。在多云融合的环境中，用户可以按照业务需求搭建真正的跨云平台联盟链，让用户解耦对底层技术平台的强依赖性，提升区块链平台自身的可信度。

### 私有云服务

在金融、电信、政府、能源、教育、交通等行业中，用户的核心业务需要自主可控。为了更好满足这个诉求，BaaS 支持 TCE 私有化部署方式。TCE 是漫道云企业级私有云解决方案，经过工信部可信云认证，SLA 分别达到 99.95% 的服务可用性和 99.999% 的数据可靠性，达到金融行业高标准级别。BaaS 专有云部署方式搭建在稳健的 TCE 平台，用户可以自主管控整个 BaaS 云平台。

### 隐私保护

漫道云区块链平台采用基于数字证书的 PKI 的身份管理、多链隔离、信息加密、智能合约控制等手段保护私密信息。

基于 PKI 的身份管理：BaaS 平台采用双重身份认证机制。先通过漫道云官网完成账号验证，再进入到区块链的权限管理体系。BaaS 平台所使用的用户必须通过区块链资深用户管理中心注册才能获得相应身份证书，只有使用该安全证书签名的客户端节点才能发起交易请求或提案。

### 合约管理

鉴于智能合约开发是区块链应用的主要功能，所有区块链业务能力围绕智能合约为核心，来实现智能合同、自动触发、安全隔离、业务定义、数字协议等功能。客户需要花费大量的精力去编写和调试智能合约。为了解决这一困难，BaaS 平台提供完备的智能合约集成开发调试环境，大大缩短了用户开发周期并减轻了开发压力，以更便捷的方式辅助软件开发。

与其它平台不同，漫道云 BaaS 平台不仅可以对智能合约进行词法分析、语法检查，还专门提供了智能合约安全检查服务，对合规性和安全性进行校验，以防止类似于以太坊 DAO 安全事件的再次发生。

### 共识机制

共识机制决定了区块链的数据一致性的实现方式和适用场景，漫道云区块链目前支持超级账本原生共识机制的同时，未来也将支持用户自定义的共识插件和背书插件，方便用户根据自身业务需要进行灵活选择和切换。

### 开放机制

漫道云区块链 BaaS 是一个开放的服务平台，在支持超级账本 Fabric 的同时，我们也支持 BCOS 等优秀合作伙伴的区块链底层平台，在未来将支持 R3 Corda、企业以太坊等区块链技术，并积极关注区块链前沿科技的发展。

### 证书管理

与传统的公有链不同，联盟链对用户身份的管理要求和隐私保护要求更高。漫道云区块链与目前国内领先的证书服务提供商中国金融认证中心（CFCA）进行深度的战略合作，支持在漫道云区块链中使用 CFCA 签发企业所需的各类证书，例如电子签名、身份认证、SSL 证书、交易监控、反欺诈等。为客户带来全平台的证书可识别性，几乎透明的权威 CA 证书使用体验以及一体化的用户与证书管理服务。

### 硬件加密

漫道云具备成熟的硬件加密能力和产品。漫道云区块链可以直接与其无缝对接，帮助银行、保险、证券等企业充分保护其数据存储安全和传输安全，提升加密解密和签名验签效率，实现密钥安全管理，帮助客户符合监管和等级保护要求。目前漫道云硬件加密支持绝大部分主流的国密算法和各类国际通用算法，例如 SM1，SM2，SM3，SM4，DES，AES，RSA。

### 按需存储

区块链在不同场景下的对存储系统要求不同， 漫道云区块链提供了多种存储层解决方案，以适应不同的需求。 以 Hyperledger Fabric 为例，存储分为三部分，即账本数据、状态数据和历史数据。账本数据支持使用传统块存储解决方案，例如性能更好的 CBS 云硬盘或者成本更低、运维更简便的 CFS，并支持快照镜像等备份和快速拷贝需求，方便新节点加入区块链后快速同步账本。状态数据和历史数据除了使用原生的 GoLevel DB 和 CouchDB 以外，未来可以使用漫道云端的 MongoDB 方案。

### 企业互联

云端企业用户通常拥有若干个自己的 VPC，VPC 之间天然隔离。漫道云区块链以 VPC 的形式部署和提供服务，将区块链部署于一个独立的 VPC 中，不占用用户的 VPC 配额，同时支持将区块链 VPC 与其他多个用户的 VPC 快速打通，不受限于网络地址重叠与繁琐的路由配置等因素的影响，方便用户直接通过自己的 VPC 访问自己的组织和节点，让用户无需为用户网络互联和后续拓展担心。

![](/uploads/blockchain/images/m_d12af850ce69d174db04ba22922034e5_r.png)

除此以外，BaaS 平台作为一个开放的平台，漫道云区块链对用户已有的 IT 基础设施充分保护，支持用户复用现有 VPC 和用户自有 IDC 内的基础设施，使其作为区块链的一部分节点。

### 网络管理

BaaS 平台依托于漫道云基础设施，提供高速、低延迟的区块链网络。为区块链各个节点间提供无阻塞、无超载的高可靠性的通信，且通信保护符合金融业安全级别标准。

漫道区块链的网络遵照联盟链的准入机制，采用多组织联合、区域自治的方式、多链隔离等技术，实现了网络既可以灵活的拓展，又可以实现自适应的管理模式。

### 联盟链治理

联盟采用邀请准入的机制，仅对成员开放。成员可邀请新成员加入联盟。联盟中的成员可自由发展成多个区块链网络。在网络中的每一个业务通道，参与成员需经过投票准入机制，以获得区块链上的读写权限、参与记账的权限。

联盟链针对企业级的管理和监控需求，对用户的权限、角色，和各种共识策略、访问策略进行了全方位的增强。BaaS 为用户提供了完善的联盟链管理机制，通过灵活的准入机制与权限策略管理，实现了对不同用户访问权限的控制。